Public Member Functions | List of all members
clan::Circlef Class Reference
clanCore Math

Circle - Float. More...

`#include <circle.h>`

Inheritance diagram for clan::Circlef:

## Public Member Functions
| Circlef (float x, float y, float radius)
| Circlef (const Vec2< float > &p, float radius)
| Circlef ()
| Circlef (const Circlex< float > &copy)
Public Member Functions inherited from clan::Circlex< float >
| Circlex (floatx, floaty, floatradius)
| Circlex (const Vec2< float > &p, floatradius)
| Circlex ()
| Circlex (const Circlex< float > &copy)
bool | is_inside (const Vec2< float > &point)
Circlex< float > & | operator= (const Circlex< float > &copy)
| = operator. More...
bool | operator== (const Circlex< float > &circle) const
| == operator. More...
bool | operator!= (const Circlex< float > &circle) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Circlex< float >
Vec2< float > | position
| Circle center point. More...
float | radius
| Circle radius. More...

## Detailed Description

Circle - Float.

The documentation for this class was generated from the following file:

- circle.h